﻿using System;
using System.IO;

namespace ELTE.Basics.NumberTypes
{
    class Program
    {
        static void Main(string[] args)
        {
            Double d1 = 111, d2 = 4.1;
            Complex c1 = new Complex(2.5, 11.25);
            Console.WriteLine("Komplex szám: " + c1);
            Console.WriteLine("{0}+i*{1} + {2} = {3}+i*{4}", 
                              c1.Real, c1.Imaginary, d1, (c1 + d1).Real, (c1 + d1).Imaginary);
            // itt a komplex, valós paraméteres összeadást hívjuk meg
            
            Console.WriteLine("{0} + {1}+i*{2}  = {3}+i*{4}", 
                              d2, c1.Real, c1.Imaginary, (d2 + c1).Real, (d2 + c1).Imaginary); 
            // itt a valós, komplex paraméteres összeadást hívjuk meg

            Console.WriteLine();

            Rational r1 = new Rational(2, 3);
            Rational r2 = new Rational(5, 4);
            Rational r3 = new Rational(10, 5);
            Console.WriteLine("Racionális szám: " + r1.Nominator + "/" + r1.Denominator);
            Console.WriteLine("{0} + {1} = {2}",
                              r1.Nominator + "/" + r1.Denominator, 
                              r2.Nominator + "/" + r2.Denominator,
                              (r1 + r2).Nominator + "/" + (r1 + r2).Denominator);
            Console.WriteLine("{0} * {1} = {2}", 
                              r1.Nominator + "/" + r1.Denominator,
                              r3.Nominator + "/" + r3.Denominator, 
                              (r1 * r3).Nominator + "/" + (r1 * r3).Denominator);

            Console.ReadKey();
        }
    }
}
